Bug 1338889 - glibc: Split NSS modules into individual subpackages
Summary: glibc: Split NSS modules into individual subpackages
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Weimer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1338879 1358429 1358430
TreeView+ depends on / blocked
 
Reported: 2016-05-23 15:05 UTC by Florian Weimer
Modified: 2017-10-05 14:02 UTC (History)
10 users (show)

Fixed In Version: glibc-2.23.90-29.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-20 18:31:03 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1498900 0 unspecified CLOSED glibc: /var/db/Makefile should be shipped in nss_db, not nss_hesiod 2021-02-22 00:41:40 UTC

Internal Links: 1498900

Description Florian Weimer 2016-05-23 15:05:24 UTC
NSS modules (except nss_files and nss_dns) should be split into individual subpackages.  This will slightly reduce the size of the minimum installation, and it will allow us to build nss_nis and related modules against libtirpc instead of glibc in a future version with minimal impact on package dependencies and upgrades.

We probably needs a glibc-nss-devel subpackage as well, which contains the .so symbolic links (and this package should depend on all the glibc NSS subpackages).


Note You need to log in before you can comment on or make changes to this bug.